<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2017. nTels.co.,ltd. to Present.
  ~ All rights reserved.
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/llPageRoot"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@null"
        android:orientation="vertical"
        android:padding="20dp">

    <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:minWidth="@dimen/width_dialog_01"
            android:orientation="vertical">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="65dp"
                android:background="@drawable/color_popup_bg_head"
                android:gravity="center_vertical">


            <TextView
                    android:id="@+id/tvTitle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="15dp"
                    android:layout_weight="1"
                    android:gravity="left"
                    android:includeFontPadding="false"
                    android:text=""
                    android:textColor="@color/color_text_04"
                    android:textSize="@dimen/size_font_03"
                    android:textStyle="bold"/>
        </LinearLayout>

        <LinearLayout
                android:id="@+id/llBody"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@drawable/color_popup_bg_body"
                android:gravity="center"
                android:minWidth="280dp"
                android:orientation="vertical">


            <com.ntels.kneet.v3.common.widget.CustomScrollView
                    android:id="@+id/svBody"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:fadingEdge="none">

                <LinearLayout
                        android:id="@+id/llSvbody"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:visibility="visible">

                    <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            android:paddingTop="30dp"
                            android:paddingBottom="30dp">
                        <com.flask.colorpicker.ColorPickerView
                                android:id="@+id/color_picker_view"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                app:density="12"
                                app:wheelType="FLOWER"/>
                    </LinearLayout>
                </LinearLayout>
            </com.ntels.kneet.v3.common.widget.CustomScrollView>

            <View
                    style="@style/width_Divider_02"/>

            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_gravity="center_horizontal"
                    android:gravity="center">

                <LinearLayout
                        android:id="@+id/llBtn1"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center">

                    <TextView
                            android:id="@+id/tvBtn1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:includeFontPadding="false"
                            android:text="@string/layout_ok"
                            android:textColor="@drawable/d_font_color_font_01_color_font_02"
                            android:textSize="@dimen/size_font_05"
                            android:textStyle="bold"/>
                </LinearLayout>

                <View
                        android:id="@+id/vLine"
                        style="@style/height_Divider_02"/>

                <LinearLayout
                        android:id="@+id/llBtn2"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center">

                    <TextView
                            android:id="@+id/tvBtn2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:includeFontPadding="false"
                            android:text="@string/layout_cancel"
                            android:textColor="@drawable/d_font_color_font_01_color_font_02"
                            android:textSize="@dimen/size_font_05"
                            android:textStyle="bold"/>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
</LinearLayout>